Introduction
[Main] [Next]

UNNECESSARY FILES Version 2.3
Freeware for Windows 98/ME/XP

Copyright (C) 2001-2002 by Jonathan Clark

e-mail: hsoftware@ntlworld.com
website: http://homepage.ntlworld.com/humdinger

Please always check the website for updates of this program to make sure you have the most up to date version, as occasionally improvements are made.

DISCLAIMER
Use this program at your own risk, loss of data is your fault alone, nothing to do with me.

WHAT IT DOES
Unnecessary Files (UF) is a Windows 98/ME/XP utility for finding and deleting unnecessary files from selected disk drives.

Such files may include those created by installation programs or by applications for storing temporary data. Deleting them is usually safe and can recover megabytes of disk space.

The program was written out of my need to have a quick and easy way to delete unwanted files and folders.

UF comes with a predefined list of files to search for, qhich you ad add to and delete from. Simply check the files you wish to search for. Please note that the default descriptions next to each file type (in the Options) relate to the 'usual' usage for the relative file and are provided as a rough guide and should not be taken for granted.

The program can:
- Find and delete recent documents history
- Empty the recycle bin
- Clean out user defined folders (including internet cookies, cache & history)
- Find and delete unnecessary files
- Find and delete empty files
- Find and delete dead links (shortcuts)
- Delete history records from the system registry (including netscape and internet explorer history)
- Stop unwanted programs from starting with Windows
- Search/delete invalid registry entries
- Modify/delete Windows file associations
- Uninstall programs, modify program uninstall information

UF is fully configurable, allowing you to control what is deleted. Files and folders can be either sent to the recycle bin, deleted or wiped.

- Recycling enables you to recover files/folders which UF deleted.

- Deleting means the files are not sent to the recycle bin, but still may be recovered using specialised software programs

- Wiping files firstly erases the contents of the file and the deletes it, so even if the file is recovered the contents are useless.

NOTE: Unnecessary Files does not have a "restore" feature, in other words any deleted files are not backed up by the program. This feature may be included in a future release.


Using the program
[Previous] [Main] [Next]

When you run UF you are presented with the main window. From here you can select which drives to perform the search for unnecessary files on.

On the right of the main window is the "Tools" section. This is described elsewhere in this documentation.

The CLEAN button initiates the cleaning tasks which are checked. The areas available to clean are:
- The Recent Documents links
- The Recycle Bin
- User defined folders (explained later)
- Useless/unnecessary files
- Empty files (i.e. zero length)
- Dead links (aka shortcuts)
- Various history lists stored within the system registry

Cleaning can be stopped by pressing the STOP button. After cleaning, the amount of disk space recovered is displayed on the status bar at the bottom of the window.

Check which areas you would like to be cleaned. Automatic or manual cleaning can be specified in GENERAL OPTIONS, by selecting the OPTIONS button and then the GENERAL tab. By using manual cleaning, you are given the opportunity to decide which files to delete, and asked if you want an area cleaned. In automatic cleaning, you are not asked and everything is done whether you like it or not, so be warned. It is usually safe enough to set Recent Documents and Recycle to automatic clean mode, and only the others when you are comfortable with your system and you know what is what. But you do this at YOUR OWN RISK.


Areas which are cleaned

RECENT DOCUMENTS LINKS
These are links to files you have used recently, and are stored in a number of locations depending on the configuration of your system. Usually \WINDOWS\RECENT. But, for example on Windows XP, they are stored in each user account. UF will clear the currently logged on user's recent documents but not any those belonging to other users UNLESS you manually specify those folders in the OPTIONS under USER DEFINED FOLDERS.

When manual cleaning is selected for the recent document list, the link files will be shown in a new window where you can decide which to delete and which to keep. Close the window when you have finished.

Cleaning the recent documents lists does not cause any harm, it simply means the history of any programs/documents you have used/opened recently is deleted. However, the list of recent documents is also stored in the system registry, which can also be cleaned (see below)

RECYCLE BIN
UF will empty the contents of the bin, and when manual mode is active you will asked whether you want to delete the contents. Otherwise it is done automatically.

USER DEFINED FOLDERS
UF will completely empty the folders you specify using the USER DEFINED FOLDERS tab in the OPTIONS window. Here you and add folders to a list, or remove them from the list. The DEFAULT button provides a list of common folders to clean out, typically internet cache, internet cookies, internet history and the Windows temporary folder. You can add as many folders as you wish.

When the folders are cleaned out, all files and sub directories/folders will also deleted. The actual starting-point folder remains.

Please remember that in order to delete the internet cache and recent documents from every user registered with the computer in question, each of the relative folders must be manually added to this list. UF will attempt to find the relative folders for the currently logged on user only.

UNNECESSARY/USELESS FILES
UF will scan the select disk for what is termed "unnecessary files". These are mainly backup files and temporary files which are not of any use. There is a fully configurable list of files under the UNNECESSARY FILES tab in the OPTIONS window. Here you can add and remove file type descriptions to search for when UF looks for unnecessary files. Simply check the file types you want UF to look for.

When using manual mode for this clean up method, all files matching the types specified are gathered and displayed for you to choose which to delete and which to keep. In automatic mode all found matching files
are deleted.

EMPTY FILES
UF will scan the specified disk for empty (zero length) files. When using manual mode for this clean up method, all empty files are gathered and displayed for you to choose which to delete and which to keep. In automatic mode all found matching files are deleted.

DEAD LINKS
UF will scan the specified disk for any shortcut files (links) which point to files that do not exist. When using manual mode for this clean up method, all dead links are gathered and displayed for you to choose which to delete and which to keep. In automatic mode all found matching files are deleted.

There are two options (in the OPTIONS GENERAL tab) available which may help in finding certain links. These enable UF to ignore link files with a blank path reference in them, and link files with a blank filename reference in them.

RECENT DOCUMENTS HISTORY - REGISTRY
This is a list of files you have used recently, and is stored in the system registry as a history list. Deleting this list causes no harm.

INTERNET EXPLORER TYPED URL HISTORY - REGISTRY
Clears individual items from the history of URLs typed into an Internet Explorer browser.

NETSCAPE TYPED URL HISTORY - REGISTRY
Clears individual items from the history of URLs typed into a Netscape browser.

RUN HISTORY - REGISTRY
Clears the history list of recently run programs from the registry.

FIND FILES HISTORY - REGISTRY
Clears the history list of recently searched for files from the registry.

FIND COMPUTERS HISTORY - REGISTRY
Clears the history list of recently searched for computers from the registry.

FIND PRINTERS HISTORY - REGISTRY
Clears the history list of recently searched for printers from the registry.

"SEND TO ANY FOLDER" HISTORY - REGISTRY
Clears the history list of recently "sent to" folder names from the registry. "Send To Any Folder" is part of the Microsoft PowerToys utilities. The "Send To" PowerToys need to be installed.

"INSTALL FROM" HISTORY - REGISTRY
This clears the "Install From" history list of Windows Setup and Driver installation dialog box from the registry.


Options

GENERAL tab

Don't ask for confirmation when cleaning
Here you can decide which areas are cleaned automatically by UF. Automatic cleaning means any files found will be deleted. When automatic cleaning is off, you will be asked to confirm the deletion of each specifc area, or in the case of unnecessary/empty/short cut files the files will be displayed and you can decide which to keep and which to delete.

Deletion method
Enables files to be either sent to the recycle bin, deleted or wiped.

When a file is deleted by UF it is not sent to the recycle bin. Wiping a file enables the contents to be completely overwritten before deletion thus making recovery of the file pointless because the data will be useless. Added wiping security can be specified in the form of "Extra security" which overwrites the contents more than once ensuring total data eradication, and also "Rename" which chooses a random name for the file prior to wiping it and deleting it, making it even harder for someone to trace the file with an "undelete" utility.

Ignore shortcuts/dead links with blank...
These two options, when selected, provide a safety measure of sorts by preventing certain shortcuts (which may be useful) from being deleted. For example, shortcuts which point to drives on the computer.

File search options
Select specific search criteria when UF looks for unnecessary, empty and dead link files. You can instruct UF to look for files dated between two specific dates, and to search for files of a certain size.

Silly buttons
Totally useless option. When you get used to the program, try the silly buttons option. Selecting this will just change the button text on the main screen something silly (eg "Help" becomes "Chicken") - but don't blame me if you start selecting the wrong operations...

IGNORE FOLDERS tab
A configurable list of folders to ignore when cleaning.

IGNORE FILES tab
A configurable list of filenames and file extensions to ignore when cleaning.

UNNECESSARY FILES tab
A configurable list of file types to search for when identifying unnecessary/useless files for deletion. Here you can select which files to search for, add your own file types (and descriptions) by using the input boxes, and reset to the program defaults.

USER DEFINED FOLDERS tab
A configurable list of folders to completely clean out. Please note, everything inside the specified folders is deleted, including sub folders. The specified folder itself is not deleted.


Preserving specific folders and files

To avoid deleting specific files or folders, UF allows you to specify any number of folder names, file names and file extensions to IGNORE during deletion/searching. Note that this is NOT applicable to the items in the recycle bin, where all contents will be destroyed, nor the recent documents folder itself, although it is applicable to the files within the recent documents folder.


Tools

The tools section consists of the following:

START-UP PROGRAMS
This tools displays all the programs scheduled to start when Windows starts. It also displays the location these commands are stored, such as the Windows Start-up folder, or various registry locations. If you don't want a particular program to start-up with Windows, simply highlight it and click the "Remove" button (to highlight multiple programs hold down Ctrl and left-click the mouse on the required items).

REGISTRY ENTRIES
This tool scans the system registry for seemingly invalid entries and displays them. Decide which entries are invalid (unnecessary) and press the "delete selected entries" button (to highlight multiple entries hold down Ctrl and left-click the mouse on the required items).

FILE ASSOCIATIONS
This tool displays all the file associations stored by Windows. You can modify and/or delete these associations. To sort the list either by filename extension or by the association description, simply click on the heading. To highlight multiple entries hold down Ctrl and left-click the mouse on the required items.

UNINSTALL PROGRAMS
This tool enables you to uninstall applications (like the "Add/Remove Programs" feature in Windows). Also, you can remove entries which remain in the uninstall list even though they have previously been uninstalled.

Further more, you can edit the uninstall information for each application.

To highlight multiple programs hold down Ctrl and left-click the mouse on the required items.


Index.dat files (cookie related)
[Previous] [Main]

INDEX.DAT (cookie related)

Due to the operating system UF is unable to delete these files as such, but will empty them (they will contain no cookie information until more cookies are added during the next internet session).